package pps.core.common.module;

import pps.core.common.provider.impl.PpsSessionStorageProviderImpl;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;
import xstartup.base.pattern.XProviderManager;
import xstartup.core.base.provider.spec.XSessionStorageProvider;

@XText("公共模块")
public class PpsCoreCommonModule extends XModule {
    protected PpsCoreCommonModule() {
        super(1000);
    }

    @Override
    protected void onStarted(XContext context) {
        XProviderManager.setDefaultImplement(context, XSessionStorageProvider.class, PpsSessionStorageProviderImpl.class);
        ManifestComponentInfoHelper.init(this.getClass().getClassLoader());
    }
}