package pps.core.common.mybatis;

import com.baomidou.mybatisplus.core.config.GlobalConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import xstartup.service.mybatis.XMybatis;

/**
 * mybatis 配置类
 */
@Component
@EnableTransactionManagement
@MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.pps.core.common",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.pps.core.common",
        basePackages = {"pps.core.common.mapper"})
public class PpsCoreCommonMybatis extends XMybatis {
    @Override
    public GlobalConfig getGlobalConfig() {
        return MybaitisGlobalConfigSuppiler.INSTANCE.get();
    }
}