package pps.cloud.system.service.data.sys_area;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 查询系统区域输出
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QuerySysAreaOutput {

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 城市代码
     */
    private String cityCode;

    /**
     * ID
     */
    private Integer id;
}
