package pps.cloud.system.service.data.sys_dictionary;

import lombok.Data;
import xstartup.annotation.XText;

@Data
public class GetSysDictionaryViewOutput {

    @XText("父级ID")
    private String pid;

    @XText("名称")
    private String dicName;

    @XText("缩写")
    private String shortName;

    @XText("备注")
    private String remark;

    @XText("排序")
    private Integer sort;

    @XText("层级")
    private Integer levels;

    @XText("是否默认值")
    private Integer beDefault;

    @XText("是否含有下级")
    private Integer beHasChildren;

    @XText("0为系统字典，1应用字典")
    private Integer dicType;

    @XText("字典编码")
    private String dicKey;
}
