package pps.cloud.system.service.data.sys_organization;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GetSysOrganizationViewOutput {
    @XText("主键")
    private String id;

    @XText("用户ID")
    private String userId;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;


    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("场站编码")
    private String stationCode;

    @XText("单位级别（从系统字典中来）")
    private String ouLevel;

    @XText("描述")
    private String description;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("邮编")
    private String postCode;

    @XText("地址")
    private String postAddress;

    @XText("传真")
    private String faxNo;

    @XText("电话")
    private String phone;

    @XText("国家")
    private String country;

    @XText("省份")
    private Integer province;

    @XText("业务日期")
    private String formDate;

    @XText("表单配置定义id")
    private String formConfigId;

    @XText("数据状态(应用枚举)：1暂存，2已提交，3填报流程中，4填报流程完成，5填报流程退回，6变更流程中，7变更流程完成。")
    private String formStatus0;
    private String formStatus1;
    private String formStatus2;
    private String formStatus3;
    private String formStatus4;
    private String formStatus5;
    private String formStatus6;

    @XText("父级组织机构id")
    private String parentOuId;
    @XText("父级组织机构名称")
    private String partentName;

    @XText("组织机构路径")
    private String ouPath;

    @XText("组织机构路径")
    private String mediumType;

    @XText("经度")
    private BigDecimal longitude;

    @XText("纬度")
    private BigDecimal latitude;
}
