package pps.core.system.config;

import xstartup.annotation.XConfig;
import xstartup.config.XConfigMetadata;
import xstartup.config.XStringConfigItem;

/**
 * @author lixueyan
 * @date 2022/7/7 0007 12:44
 */
@XConfig
public class LoginConfig {
    public static final XStringConfigItem adminRoles = XConfigMetadata.register(LoginConfig.class, "adminRoles", XStringConfigItem.class);
    //关键信息加密私钥（加密后）
    public static final XStringConfigItem userRsaPrivateKey = XConfigMetadata.register(LoginConfig.class, "userRsaPrivateKey", XStringConfigItem.class);
    //关键信息加密公钥（加密后）
    public static final XStringConfigItem userRsaPublicKey = XConfigMetadata.register(LoginConfig.class, "userRsaPublicKey", XStringConfigItem.class);
}
