package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统区域视图
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class SysAreaView implements Serializable {
    @TableField
    private Integer id;

    @TableField
    private String name;

    @TableField
    private Integer parentId;

    @TableField
    private Integer lev;

    @TableField
    private String cityCode;

    /**
     * 省份
     */
    @TableField(exist = false)
    private String province;

    /**
     * 城市
     */
    @TableField(exist = false)
    private String city;
}
