package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("sys_user_organization_rel")
public class SysUserOrganizationRelEnt implements Serializable {
    @XText("用户所属组织机构关系id(主键)")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("用户ID")
    @TableField
    private String userId;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人姓名")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人姓名")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
