package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import xstartup.annotation.XText;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class SysUserRoleRelView implements Serializable {
    @XText("用户角色关系id(主键)")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("角色ID")
    @TableField
    private String roleId;

    @XText("角色名称")
    @Transient
    private String roleName;

    @XText("用户ID")
    @TableField
    private String userId;

    @XText("登录名")
    @Transient
    private String loginName;

    @XText("手机")
    @Transient
    private String phone;

    @XText("iam登录名")
    @Transient
    private String iamLoginName;

    @XText("用户名")
    @Transient
    private String userName;

    @XText("组织机构id")
    @TableField
    private String ouId;
    @Transient
    private String ouName;
    @Transient
    private String concatOuName;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;

    @XText("查询参数-机构层级")
    private String ouLevel;

    @XText("角色ID")
    @TableField(exist = false)
    private List<String> roleIds;

    @XText("角色ID")
    @TableField(exist = false)
    private List<String> ouIds;

    public List<String> getOuIds() {
        return ouIds;
    }

    public void setOuIds(List<String> ouIds) {
        this.ouIds = ouIds;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getConcatOuName() {
        return concatOuName;
    }

    public void setConcatOuName(String concatOuName) {
        this.concatOuName = concatOuName;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getRoleId() {
        return this.roleId;
    }

    public void setRoleId(String value) {
        this.roleId = value;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getIamLoginName() {
        return iamLoginName;
    }

    public void setIamLoginName(String iamLoginName) {
        this.iamLoginName = iamLoginName;
    }

    public String getOuLevel() {
        return ouLevel;
    }

    public void setOuLevel(String ouLevel) {
        this.ouLevel = ouLevel;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<String> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<String> roleIds) {
        this.roleIds = roleIds;
    }
}
