package pps.core.system.service.data.sys_base_info_sysnc_config;

import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

public class CreateSysBaseInfoSysncConfigInput {

    @XText("基础表表名")
    @NotNull
    private String tableName;

    @XText("目标库")
    @NotNull
    private String targetDb;

    @XText("创建时间字段")
    private String createTimeField = "create_time";

    @XText("修改时间字段")
    private String modifyTimeField = "modify_time";

    @XText("是否启用(0:否，1：是)")
    private Integer isEnable;

    @XText("备注")
    private String remark;

    @XText("是否全量同步（0否，1：是）- 请慎重操作，大表不建议打开")
    private Integer isFullSync;

    public Integer getIsFullSync() {
        return isFullSync;
    }

    public void setIsFullSync(Integer isFullSync) {
        this.isFullSync = isFullSync;
    }

    public String getTableName() {
        return this.tableName;
    }

    public void setTableName(String value) {
        this.tableName = value;
    }

    public String getTargetDb() {
        return this.targetDb;
    }

    public void setTargetDb(String value) {
        this.targetDb = value;
    }

    public String getCreateTimeField() {
        return this.createTimeField;
    }

    public void setCreateTimeField(String value) {
        this.createTimeField = value;
    }

    public String getModifyTimeField() {
        return this.modifyTimeField;
    }

    public void setModifyTimeField(String value) {
        this.modifyTimeField = value;
    }

    public Integer getIsEnable() {
        return this.isEnable;
    }

    public void setIsEnable(Integer value) {
        this.isEnable = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

}
