package pps.core.system.service.data.sys_login;

import jakarta.validation.constraints.NotNull;
import pps.core.common.session.PpsUserSession;
import xstartup.annotation.XText;


public class LoginByAccountOutput {
    /**
     * token信息
     */
    @XText("token")
    @NotNull
    private String token;

    /**
     * 有效时间
     */
    @XText("有效时间")
    @NotNull
    private Integer expiresIn;

    @XText("用户信息")
    private PpsUserSession session;

    public PpsUserSession getSession() {
        return session;
    }

    public void setSession(PpsUserSession session) {
        this.session = session;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }
}
