package pps.core.system.service.data.sys_login;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 模拟登录
 *
 * @author ZWT
 * @date 2024/05/08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class LoginBySimulateOutput {

    /**
     * token信息
     */
    @XText("token")
    private String token;

    /**
     * 有效时间(秒)
     */
    @XText("有效时间(秒)")
    private Integer expiresIn;
}
