package pps.core.system.service.data.sys_menu;

import xstartup.annotation.XText;

import java.util.List;

public class QuerySysMenuOutputTree {

    @XText("菜单ID(主键)")
    private String id;

    @XText("菜单名称")
    private String menuName;
    private String menuPattern;
    @XText("父级菜单ID")
    private String parentMenuId;

    @XText("菜单是否可见:0->否；1->是；")
    private Integer isVisiable;

    @XText("是否需要范围授权:0->否；1->是；")
    private Integer isHasScope;

    @XText("排序")
    private Integer sort;

    @XText("是否包含子菜单:0->否；1->是；")
    private Integer isHasChildren;

    @XText("地址")
    private String url;

    @XText("是否提供给外部客户::0->否；1->是；默认0")
    private Integer isExternal;

    @XText("子集")
    private List<QuerySysMenuOutputTree> children;

    @XText("菜单业务类型(字典id)")
    private String menuType;
    @XText("菜单业务类型(字典id)名称")
    private String BusinessTypeName;

    @XText("是否功能授权呈现:0->否；1->是；")
    private Integer isHasAppear;

    @XText("介质类型（字典）")
    private String mediaType;
    @XText("介质类型名称（字典）")
    private String mediaTypeName;

    @XText("菜单级别")
    private String level;
    @XText("描述")
    private String menuDescribe;


    @XText("是否展开")
    private boolean showChildren;

    @XText("应用场景(0:PC, 1:APP)")
    private Integer applyScene;

    @XText("菜单图标")
    private String menuIcon;

    public String getMenuIcon() {
        return menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public Integer getApplyScene() {
        return applyScene;
    }

    public void setApplyScene(Integer applyScene) {
        this.applyScene = applyScene;
    }

    public String getMenuPattern() {
        return menuPattern;
    }

    public void setMenuPattern(String menuPattern) {
        this.menuPattern = menuPattern;
    }

    public boolean getShowChildren() {
        return showChildren;
    }

    public void setShowChildren(boolean showChildren) {
        this.showChildren = showChildren;
    }

    public String getMenuDescribe() {
        return menuDescribe;
    }

    public void setMenuDescribe(String menuDescribe) {
        this.menuDescribe = menuDescribe;
    }

    public String getBusinessTypeName() {
        return BusinessTypeName;
    }

    public void setBusinessTypeName(String businessTypeName) {
        BusinessTypeName = businessTypeName;
    }

    public String getMediaTypeName() {
        return mediaTypeName;
    }

    public void setMediaTypeName(String mediaTypeName) {
        this.mediaTypeName = mediaTypeName;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMenuType() {
        return menuType;
    }

    public void setMenuType(String menuType) {
        this.menuType = menuType;
    }

    public Integer getIsHasAppear() {
        return isHasAppear;
    }

    public void setIsHasAppear(Integer isHasAppear) {
        this.isHasAppear = isHasAppear;
    }

    public Integer getIsVisiable() {
        return isVisiable;
    }

    public void setIsVisiable(Integer isVisiable) {
        this.isVisiable = isVisiable;
    }

    public Integer getIsHasScope() {
        return isHasScope;
    }

    public void setIsHasScope(Integer isHasScope) {
        this.isHasScope = isHasScope;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getIsExternal() {
        return isExternal;
    }

    public void setIsExternal(Integer isExternal) {
        this.isExternal = isExternal;
    }

    public List<QuerySysMenuOutputTree> getChildren() {
        return children;
    }

    public void setChildren(List<QuerySysMenuOutputTree> children) {
        this.children = children;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMenuName() {
        return this.menuName;
    }

    public void setMenuName(String value) {
        this.menuName = value;
    }

    public String getParentMenuId() {
        return this.parentMenuId;
    }

    public void setParentMenuId(String value) {
        this.parentMenuId = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getIsHasChildren() {
        return this.isHasChildren;
    }

    public void setIsHasChildren(Integer value) {
        this.isHasChildren = value;
    }


}
