package pps.core.system.service.data.sys_organization;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 组织机构管理
 *
 * @author ZWT
 * @date 2023/08/30
 */
@Data
public class DynamicQuerySysOrganizationOutput {

    @XText("主键")
    private String id;

    @XText("组织机构名称")
    private String ouName;

    @XText("类型(ORG_组织;LINE_线路)")
    private String ouLevel;

    @XText("线路ID")
    private String lineId;

    /**
     * 电网类型key
     */
    @XText("电网类型key(字典获取)")
    private String gridTypeKey;
}
