package pps.cloud.base.service;

import pps.cloud.base.service.data.BaseOuIdInput;
import pps.cloud.base.service.data.QueryBaseStationInput;
import pps.cloud.base.service.data.QueryBaseStationOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;


@XService
public interface BaseBaseStationService {

    @XText("根据组织机构id获取场站信息")
    XListResult<QueryBaseStationOutput> selectStationListByOuId(XContext context, BaseOuIdInput input);

    XListResult<QueryBaseStationOutput> selectStationAllByStationName(XContext context, QueryBaseStationInput input);
}
