package pps.cloud.base.service;

import pps.cloud.base.service.data.config_oil_field.GetConfigOilFieldOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;

/**
 * 油田配置Cloud模块
 *
 * @author ZWT
 * @date 2024/06/25 14:09
 */
@XService
@XText("油田配置Cloud模块")
public interface IConfigOilFieldCloudService {

    /**
     * 获取当前油田配置
     *
     * @param context 上下文
     * @return {@link XSingleResult }<{@link GetConfigOilFieldOutput }>
     */
    @XText("油田配置Cloud模块--获取当前油田配置")
    XSingleResult<GetConfigOilFieldOutput> getCurrentConfig(XContext context);
}