package pps.cloud.base.service.data.base_power_line;

import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetBasePowerLineInput {

    @XText("ID")
    @NotBlank(message = "缺少线路ID")
    private String id;
}
