package pps.cloud.base.service.data.base_power_line_storage;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class DynamicQueryBasePowerLineStorageViewOutput {

    @XText("线路ID")
    private String lineId;

    @XText("额定放电功率(KW)")
    @TableField
    private BigDecimal ratedDischargePower;

    @XText("额定放电深度")
    @TableField
    private BigDecimal ratedDischargeDepth;

    @XText("额定放电效率")
    @TableField
    private BigDecimal ratedDischargeEfficiency;
}
