package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_line")
public class BaseLineEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("上级线路")
    @TableField
    private Integer parentId;

    @XText("线路名称")
    @TableField
    private String lineName;

    @XText("线路类型")
    @TableField
    private String lineType;

    @XText("电网类型")
    @TableField
    private String gridType;

    @XText("装机容量")
    @TableField
    private BigDecimal installCapacity;

    @XText("阵列倾角")
    @TableField
    private BigDecimal arrayIncidence;

    @XText("阵列朝向")
    @TableField
    private BigDecimal arrayToward;

    @XText("组织id")
    @TableField
    private String wellOuId;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    @TableField
    private String modifyById;

    @TableField
    private String modifyByName;

    @TableField
    private Date modifyTime;

    @TableField
    private String productionYear;

    @TableField
    private String serviceLength;

    public String getServiceLength() {
        return serviceLength;
    }

    public void setServiceLength(String serviceLength) {
        this.serviceLength = serviceLength;
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getLineName() {
        return this.lineName;
    }

    public void setLineName(String value) {
        this.lineName = value;
    }

    public String getLineType() {
        return lineType;
    }

    public void setLineType(String lineType) {
        this.lineType = lineType;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public BigDecimal getInstallCapacity() {
        return this.installCapacity;
    }

    public void setInstallCapacity(BigDecimal value) {
        this.installCapacity = value;
    }

    public BigDecimal getArrayIncidence() {
        return this.arrayIncidence;
    }

    public void setArrayIncidence(BigDecimal value) {
        this.arrayIncidence = value;
    }

    public BigDecimal getArrayToward() {
        return this.arrayToward;
    }

    public void setArrayToward(BigDecimal value) {
        this.arrayToward = value;
    }

    public String getWellOuId() {
        return wellOuId;
    }

    public void setWellOuId(String wellOuId) {
        this.wellOuId = wellOuId;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getProductionYear() {
        return productionYear;
    }

    public void setProductionYear(String productionYear) {
        this.productionYear = productionYear;
    }
}
