package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class BaseLineView implements Serializable {
    @TableField
    private String id;

    @XText("上级线路")
    @TableField
    private String parentId;

    @XText("线路名称")
    @TableField
    private String lineName;

    @XText("线路类型")
    @TableField
    private String lineType;

    @XText("电网类型")
    @TableField
    private String gridType;

    @XText("装机容量")
    @TableField
    private BigDecimal installCapacity;

    @XText("阵列倾角")
    @TableField
    private BigDecimal arrayIncidence;

    @XText("阵列朝向")
    @TableField
    private BigDecimal arrayToward;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    @TableField
    private String modifyById;

    @TableField
    private String modifyByName;

    @TableField
    private Date modifyTime;


    @XText("油田ouid")
    @TableField(exist = false)
    private String oilOuId;

    @XText("油田ouid")
    @TableField(exist = false)
    private String oilOuName;

    @XText("井场ouid")
    private String wellOuId;

    @XText("井场ouname")
    @TableField(exist = false)
    private String wellOuName;

    @XText("上级线路名称")
    @TableField(exist = false)
    private String pLineName;

    @XText("组织机构id")
    @TableField(exist = false)
    private List<String> ouIdList;

    @TableField
    private String productionYear;

    @TableField
    private String serviceLength;
}
