package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_model_val")
public class BaseModelValEnt implements Serializable {

    @XText("实际数据")
    @TableField
    private String ytrue;

    @XText("预测数据")
    @TableField
    private String ypred;


    @TableField
    private String mae;


    @TableField
    private String rmse;


    @TableField
    private String r2;

    @XText("训练模式")
    @TableField
    private String keyname;

    @XText("线路")
    @TableField
    private Integer lineId;

    @TableField
    private String stape;

    @XText("开始时间")
    @TableField
    private String startime;

    @XText("结束时间")
    @TableField
    private String endtime;

    @TableField
    private String taget;

    @TableField
    private String timecol;

    @TableField
    private String features;

    @TableField
    private String modelpath;

    @TableField
    private String paramkeys;

    @XText("id")
    @TableField
    private BigDecimal id;

    @XText("创建时间")
    @TableField
    private Date createtime;

    public String getYtrue() {
        return ytrue;
    }

    public void setYtrue(String ytrue) {
        this.ytrue = ytrue;
    }

    public String getYpred() {
        return ypred;
    }

    public void setYpred(String ypred) {
        this.ypred = ypred;
    }

    public String getMae() {
        return mae;
    }

    public void setMae(String mae) {
        this.mae = mae;
    }

    public String getRmse() {
        return rmse;
    }

    public void setRmse(String rmse) {
        this.rmse = rmse;
    }

    public String getR2() {
        return r2;
    }

    public void setR2(String r2) {
        this.r2 = r2;
    }

    public String getKeyname() {
        return keyname;
    }

    public void setKeyname(String keyname) {
        this.keyname = keyname;
    }

    public Integer getLineId() {
        return lineId;
    }

    public void setLineId(Integer lineId) {
        this.lineId = lineId;
    }

    public String getStape() {
        return stape;
    }

    public void setStape(String stape) {
        this.stape = stape;
    }

    public String getStartime() {
        return startime;
    }

    public void setStartime(String startime) {
        this.startime = startime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getTaget() {
        return taget;
    }

    public void setTaget(String taget) {
        this.taget = taget;
    }

    public String getTimecol() {
        return timecol;
    }

    public void setTimecol(String timecol) {
        this.timecol = timecol;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    public String getModelpath() {
        return modelpath;
    }

    public void setModelpath(String modelpath) {
        this.modelpath = modelpath;
    }

    public String getParamkeys() {
        return paramkeys;
    }

    public void setParamkeys(String paramkeys) {
        this.paramkeys = paramkeys;
    }

    public BigDecimal getId() {
        return id;
    }

    public void setId(BigDecimal id) {
        this.id = id;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}
