package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 风电站关联测风塔
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
public class BaseWindTowerView extends BaseModel implements Serializable {

    @XText("风机电站ID")
    @TableField
    private String stationId;

    @XText("测风塔ID")
    @TableField
    private String towerId;

    @XText("测风塔名称")
    @TableField
    private String towerName;
}
