package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseDieselGeneratorView;

import java.util.List;

/**
 * 柴发设备
 *
 * @author ZWT
 * @date 2024/05/11
 */
@Repository(value = "pps.core.base.mapper.BaseDieselGeneratorViewMapper")
public interface BaseDieselGeneratorViewMapper {
    BaseDieselGeneratorView selectOne(BaseDieselGeneratorView record);

    List<BaseDieselGeneratorView> selectList(BaseDieselGeneratorView record);

    /**
     * 批插入列表
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BaseDieselGeneratorView> list);
}
