package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseWindTowerView;

import java.util.List;

/**
 * 风电站关联测风塔
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Repository(value = "pps.core.base.mapper.BaseWindTowerViewMapper")
public interface BaseWindTowerViewMapper {

    BaseWindTowerView selectOne(BaseWindTowerView record);

    List<BaseWindTowerView> selectList(BaseWindTowerView record);

    /**
     * 批量插入
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<BaseWindTowerView> list);
}
