package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.ThirdWeatherDataView;

import java.util.List;

/**
 * 第三方气象数据
 *
 * @author ZWT
 * @date 2024/04/23
 */
@Repository(value = "pps.core.base.mapper.ThirdWeatherDataViewMapper")
public interface ThirdWeatherDataViewMapper {
    ThirdWeatherDataView selectOne(ThirdWeatherDataView record);

    List<ThirdWeatherDataView> selectList(ThirdWeatherDataView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int insertBatch(List<ThirdWeatherDataView> list);
}
