package pps.core.base.service.data.base_excel;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.data.XUploadFile;

/**
 * Excel导入市电峰谷策略
 *
 * @author ZWT
 * @date 2024/05/13
 */
@Data
public class ImportPriceStrategyExcelInput {

    @NotBlank(message = "缺少市电峰谷策略ID")
    @XText("市电峰谷策略ID")
    private String strategyId;

    @XText("excel文件")
    private XUploadFile file;
}