package pps.core.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class GetBasePhotovoltaicPlantInput {

    @XText("ID")
    private String id;

    @XText("（15天，10天）传1（3天，1天）传2（4小时）传3，不传无返回")
    private String type;

    @XText("预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4 15天光伏功率预测 5 1天光伏功率预测）")
    private Integer mapeType;

}