package pps.core.base.service.data.base_photovoltaic_plant_mape_adj;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

import java.math.BigDecimal;

public class CreateBasePhotovoltaicPlantMapeAdjInput {
    private Integer id;

    @XText("光伏电站id")
    @NotBlank
    private String plantId;

    @XText("预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4 15天光伏功率预测 5 1天光伏功率预测）")
    @NotNull
    private Integer mapeType;

    @XText("预测准确率附加值")
    private BigDecimal mapePlusVal;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public String getPlantId() {
        return this.plantId;
    }

    public void setPlantId(String value) {
        this.plantId = value;
    }

    public Integer getMapeType() {
        return this.mapeType;
    }

    public void setMapeType(Integer value) {
        this.mapeType = value;
    }

    public BigDecimal getMapePlusVal() {
        return this.mapePlusVal;
    }

    public void setMapePlusVal(BigDecimal value) {
        this.mapePlusVal = value;
    }

}
