package pps.core.base.service.data.base_power_line;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Data
public class QueryBasePowerLineViewInput extends XPageInput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("线路名称")
    private String lineName;

    @XText("线路类型key(字典获取)")
    private String lineTypeKey;
}
