package pps.core.base.service.data.base_power_line_wellhead;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class CreateBasePowerLineWellheadInput {

    @XText("井口ID")
    @NotBlank(message = "缺少井口ID")
    private String wellheadId;

    @XText("启动顺序")
    private Integer startSeq;
}
