package pps.core.base.service.data.base_price_strategy_month;

import jakarta.validation.Valid;
import lombok.Data;
import pps.core.base.service.data.base_price_strategy_detail.GetBasePriceStrategyDetailOutput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 月份
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyMonthOutput {
    @XText("ID")
    private String id;

    @XText("市电峰谷月(1-12)")
    private String strategyMonth;

    /**
     * 明细
     */
    @Valid
    private List<GetBasePriceStrategyDetailOutput> details;
}
