package pps.core.base.service.data.base_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 获取基准井口输出
 *
 * @author ZWT
 * @date 2024/03/29
 */
@Data
public class GetBaseWellheadOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是；1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;
    @XText("组织机构name")
    private String ouName;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;
    @XText("运行类型name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    private BigDecimal serviceRating;

    @XText("额定功率(KW)")
    private BigDecimal ratedPower;
}
