package pps.core.base.service.data.base_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井口设置
 *
 * @author ZWT
 * @date 2023/09/25
 */
@Data
public class QueryBaseWellheadOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("运行类型Name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    private BigDecimal serviceRating;

    @XText("额定功率(KW)")
    private BigDecimal ratedPower;
}
