package pps.core.base.service.data.base_wind_turbine;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 基础风机电站
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
public class GetBaseWindTurbineInput {

    @XText("ID")
    @NotBlank(message = "缺少风机电站ID")
    private String id;
}
