package pps.core.base.service.data.base_wind_turbine;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 基础风机电站
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
public class GetBaseWindTurbineViewInput {

    @XText("组织机构ID")
    private String ouId;

    @XText("运行状态(启动/停用/故障)")
    private String runState;

    @XText("开始时间(yyyy-MM-dd HH:00:00)")
    private Date startTime;

    @XText("结束时间(yyyy-MM-dd HH:00:00)")
    private Date endTime;

    @XText("时间类型(0_月度;1_年度)")
    private int timeType;
}