package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 发电功率列表
 *
 * @author ZWT
 * @date 2024/09/03 11:04
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWindActivePowerOutput {

    @XText("时间")
    private Date dataTime;

    @XText("有功功率(kW)")
    private BigDecimal activePower;
}
