package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 发电趋势
 *
 * @author ZWT
 * @date 2024/09/03 11:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWindPowerTrendOutput {

    @XText("月份")
    private int month;

    @XText("实际发电(kW)")
    private BigDecimal activePower;

    @XText("同期实际发电(kW)")
    private BigDecimal lastActivePower;

    @XText("油厂平均发电(kW)")
    private BigDecimal avgActivePower;
}
