package pps.core.base.service.data.config_oil_field;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 油田配置输出
 *
 * @author ZWT
 * @date 2024/06/25
 */
@Data
public class GetConfigOilFieldOutput {

    @XText("油田名称")
    private String oilFieldName;

    @XText("油田编码")
    private String oilFieldCode;

    @XText("省份列表','分割")
    private String provinceList;

    @XText("首页路由")
    private String homePagePath;

    @XText("认证key")
    private String authKey;

    @XText("模拟用户")
    private String simulateUser;

    @XText("是否演示修改(1_否,0_是)")
    private Integer isDemo;

    @XText("演示日期")
    private Date demoDate;

    @XText("第三方接口认证配置(JsonString)")
    private String thirdPartyAuthConfig;
}
