package pps.core.base.service.data.third_weather_data;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 15分钟数据
 *
 * @author ZWT
 * @date 2024/04/23 10:00
 */
@NoArgsConstructor
@Data
public class Weather15mData {

    /**
     * 15天每15分钟气象数据
     */
    private List<ThirdApiWeatherData> data;
    /**
     * 位置信息
     */
    private LocationDTO location;
    /**
     * 更新日期
     */
    @JSONField(name = "time_updated")
    private Date timeUpdated;
}
