package pps.core.base.service.data.wind_prediction_future;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 风预测
 *
 * @author ZWT
 * @date 2024/08/29
 */
@Data
public class GetWindPredictionFutureInput {

    @XText("风电站ID")
    @NotBlank(message = "缺少风电站ID")
    private String stationId;

    @XText("记录时间")
    private String dataTime;
}
