package pps.core.task.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 动态定时任务配置
 *
 * @author ZWT
 * @date 2024/07/04
 */
@Data
public class ConfigTimeTaskView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("类路径")
    @TableField
    private String classPath;

    @XText("方法名")
    @TableField
    private String methodName;

    @XText("扩展参数(多个参数','拼接)")
    @TableField
    private String otherParam;

    @XText("cron表达式")
    @TableField
    private String schedulingPattern;

    @XText("描述")
    @TableField
    private String taskDescribe;

    @XText("是否启用(0_是,1_否)")
    @TableField
    private Integer isEnable;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
