package pps.cloud.space.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 定期校准Cloud模块
 *
 * @author ZWT
 * @date 2023/09/20 09:36
 */
@XService
@XText("定期校准Cloud模块")
public interface ISpaceCalibrationCloudService {

    /**
     * 定期校准Cloud模块--定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("定期校准Cloud模块--定时任务")
    XServiceResult calibrateJob(XContext context);
}
