package pps.cloud.space.service.data.space_optimize_short_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;


/**
 * 获得空间优化短井口输入
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSpaceOptimizeShortWellheadInput {

    /**
     * 线路id
     */
    @XText("线路ID")
    private String lineId;

    /**
     * 井口id
     */
    @XText("井口ID")
    private String wellheadId;

    /**
     * 井口id列表
     */
    @XText("井口ID列表")
    private List<String> wellheadIds;
}
