package pps.cloud.space.service.data.well_daily_electricity_trend;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.base.data.XPageInput;

import java.util.Date;
import java.util.List;

/**
 * 用电趋势统计
 *
 * @author ZWT
 * @date 2024/05/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellDailyElectricityTrendInput extends XPageInput {

    /**
     * 开始时间
     */
    private Date createDate;

    /**
     * 井号列表
     */
    private List<String> wellNumberList;

    /**
     * 井号
     */
    private String wellNumber;

    /**
     * 来源系统
     */
    private String systemSource;
}
