package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 周期设定
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@TableName("space_calibration_period")
public class SpaceCalibrationPeriodEnt extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("天数")
    @TableField
    private String dayNumber;
}
