package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 间开制度间开时段配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class SpaceInstitutionDurationView extends BaseModel implements Serializable {

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("间开制度井口配置ID")
    @TableField
    private String configId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("发电类型key(字典获取)")
    @TableField
    private String generationTypeKey;

    @XText("开井时间")
    @TableField
    private String openWellTime;

    @XText("关井时间")
    @TableField
    private String closeWellTime;
}
