package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 中期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@TableName("space_optimize_long_wellhead")
public class SpaceOptimizeLongWellheadEnt extends BaseModel implements Serializable {

    @XText("长期优化周期ID")
    @TableField
    private String longPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;
}
