package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceInstitutionDurationView;

import java.util.List;

/**
 * 间开制度小间开时段配置
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Repository(value = "pps.core.space.mapper.SpaceInstitutionDurationViewMapper")
public interface SpaceInstitutionDurationViewMapper {
    SpaceInstitutionDurationView selectOne(SpaceInstitutionDurationView record);

    List<SpaceInstitutionDurationView> selectList(SpaceInstitutionDurationView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceInstitutionDurationView> list);
}
