package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeUltraPeriodView;

import java.util.List;

/**
 * 长期间开优化周期记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeUltraPeriodViewMapper")
public interface SpaceOptimizeUltraPeriodViewMapper {
    SpaceOptimizeUltraPeriodView selectOne(SpaceOptimizeUltraPeriodView record);

    /**
     * 长期间开开优化周期记录列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeUltraPeriodView}>
     */
    List<SpaceOptimizeUltraPeriodView> selectList(SpaceOptimizeUltraPeriodView record);
}
