package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeUltraWellheadView;

import java.util.List;

/**
 * 长期间开开优化井口记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeUltraWellheadViewMapper")
public interface SpaceOptimizeUltraWellheadViewMapper {
    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link SpaceOptimizeUltraWellheadView }
     */
    SpaceOptimizeUltraWellheadView selectOne(SpaceOptimizeUltraWellheadView record);

    /**
     * 选择列表
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeUltraWellheadView }>
     */
    List<SpaceOptimizeUltraWellheadView> selectList(SpaceOptimizeUltraWellheadView record);

    /**
     * 选择列表联接
     *
     * @param record 记录
     * @return {@link List }<{@link SpaceOptimizeUltraWellheadView }>
     */
    List<SpaceOptimizeUltraWellheadView> selectListJoin(SpaceOptimizeUltraWellheadView record);
}
