package pps.core.space.service.data;

import cn.hutool.core.date.DateTime;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 已优化日期列表
 *
 * @author ZWT
 * @date 2023/09/12
 */
@Data
public class SpaceOptimizeDateOutput {

    @XText("优化日期")
    private DateTime dateTime;

    @XText("优化状态编码(0_已优化;1_未优化)")
    private Integer optimizeCode;

    @XText("优化状态值")
    private String optimizeValue;
}
