package pps.core.space.service.data.base_excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * Excel导入响应
 *
 * @author ZWT
 * @date 2024/05/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ExcelSpaceDurationOutput {

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;
}
