package pps.core.space.service.data.space_calibration_history;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 校准历史
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class QuerySpaceCalibrationHistoryInput {

    @XText("间开制度ID")
    @NotBlank(message = "缺少间开制度ID")
    private String institutionId;

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
