package pps.core.space.service.data.space_calibration_history;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 校准历史
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class QuerySpaceCalibrationHistoryViewInput extends XPageInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}