package pps.core.space.service.data.space_institution_detail;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 间开优化历史
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
public class QueryOptimizeHistoryViewOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String institutionName;

    @XText("长期优化周期ID")
    private String longPeriodId;

    @XText("长期优化周期")
    private String longExecutionCycle;

    @XText("长期优化时间")
    private String longOptimizeDeadline;

    @XText("中短期优化周期ID")
    private String midPeriodId;

    @XText("中短期优化周期")
    private String midExecutionCycle;

    @XText("中短期优化时间")
    private String midOptimizeDeadline;
}
