package pps.core.space.service.data.space_institution_detail;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 设定基础制度入参
 *
 * @author ZWT
 * @date 2024/05/07 18:10
 */
@Data
public class UpdateBasicInstitutionInput {

    @XText("ID")
    @NotBlank(message = "缺少间开制度ID")
    private String id;

    @XText("当前基础制度(0_是,1_否)")
    private Integer isCurrentBasic;
}
