package pps.core.space.service.data.space_institution_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class QuerySpaceInstitutionWellheadOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("启动顺序")
    private Integer startSeq;
}
