package pps.core.space.service.data.space_optimize_mid_period;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 短期间开开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class QuerySpaceOptimizeMidPeriodViewInput extends XPageInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
