package pps.core.space.service.data.space_optimize_short_wellhead;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 入参
 *
 * @author ZWT
 * @date 2024/03/23 18:20
 */
@Data
public class GetSpaceOptimizeShortWellheadInput {

    /**
     * 线路id
     */
    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;

    /**
     * 井口id
     */
    @XText("井口ID")
    private String wellheadId;
}
