package pps.core.space.service.data.space_optimize_ultra_period;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 长期间开优化周期记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
public class QuerySpaceOptimizeUltraPeriodViewInput extends XPageInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
