package pps.core.space.service.data.space_optimize_ultra_period;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 长期间开优化周期记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
public class QuerySpaceOptimizeUltraPeriodViewOutput {
    @XText("ID")
    private String id;

    @XText("线路ID")
    private String lineId;

    @XText("间开制度ID")
    private String institutionId;

    @XText("执行周期")
    private String executionCycle;

    @XText("优化状态(0_已优化;1_未优化)")
    private Integer optimizeState;

    @XText("优化截止日期")
    private Date optimizeDeadline;

    /**
     * 组织机构ID
     */
    @XText("组织机构ID")
    private String ouId;

    /**
     * 电网类型key(字典获取)
     */
    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    /**
     * 制度名称
     */
    @XText("制度名称")
    private String institutionName;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    /**
     * 组织机构名称
     */
    @XText("组织机构名称")
    private String ouName;

    /**
     * 电网类型名称
     */
    @XText("电网类型名称")
    private String gridTypeName;

    /**
     * 优化状态值
     */
    @XText("优化状态(0_已优化;1_未优化)")
    private String optimizeStateValue;
}
