package pps.cloud.prediction.service.data.third_active_power;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 第三方有功功率
 *
 * @author ZWT
 * @date 2024/05/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdActivePowerInput {

    @XText("创建时间")
    private Date createDate;

    @XText("来源系统")
    private String systemSource;
}
