package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_data")
public class BaseDataEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("组织id")
    @TableField
    private String ouId;

    @XText("线路id")
    @TableField
    private Integer lineId;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("风速")
    @TableField
    private BigDecimal windSpeed;

    @XText("风向")
    @TableField
    private BigDecimal windDirection;

    @XText("温度")
    @TableField
    private BigDecimal temperature;

    @XText("压强")
    @TableField
    private BigDecimal pressure;

    @XText("湿度")
    @TableField
    private BigDecimal humidity;

    @XText("组件平面辐照度")
    @TableField
    private BigDecimal planeIrradiance;

    @XText("全水平辐照度")
    @TableField
    private BigDecimal horizontalIrradiance;

    @XText("实际功率")
    @TableField
    private BigDecimal power;

    @XText("预测功率")
    @TableField
    private BigDecimal predictedPower;

    @XText("天气")
    @TableField
    private BigDecimal weather;

    public BigDecimal getWeather() {
        return weather;
    }

    public void setWeather(BigDecimal weather) {
        this.weather = weather;
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public Integer getLineId() {
        return this.lineId;
    }

    public void setLineId(Integer value) {
        this.lineId = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public BigDecimal getWindSpeed() {
        return this.windSpeed;
    }

    public void setWindSpeed(BigDecimal value) {
        this.windSpeed = value;
    }

    public BigDecimal getWindDirection() {
        return this.windDirection;
    }

    public void setWindDirection(BigDecimal value) {
        this.windDirection = value;
    }

    public BigDecimal getTemperature() {
        return this.temperature;
    }

    public void setTemperature(BigDecimal value) {
        this.temperature = value;
    }

    public BigDecimal getPressure() {
        return this.pressure;
    }

    public void setPressure(BigDecimal value) {
        this.pressure = value;
    }

    public BigDecimal getHumidity() {
        return this.humidity;
    }

    public void setHumidity(BigDecimal value) {
        this.humidity = value;
    }

    public BigDecimal getPlaneIrradiance() {
        return this.planeIrradiance;
    }

    public void setPlaneIrradiance(BigDecimal value) {
        this.planeIrradiance = value;
    }

    public BigDecimal getHorizontalIrradiance() {
        return this.horizontalIrradiance;
    }

    public void setHorizontalIrradiance(BigDecimal value) {
        this.horizontalIrradiance = value;
    }

    public BigDecimal getPower() {
        return this.power;
    }

    public void setPower(BigDecimal value) {
        this.power = value;
    }

    public BigDecimal getPredictedPower() {
        return this.predictedPower;
    }

    public void setPredictedPower(BigDecimal value) {
        this.predictedPower = value;
    }

}
