package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdCurrentWellConditionView;

import java.util.List;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Repository(value = "pps.core.prediction.mapper.ThirdCurrentWellConditionViewMapper")
public interface ThirdCurrentWellConditionViewMapper {
    ThirdCurrentWellConditionView selectOne(ThirdCurrentWellConditionView record);

    List<ThirdCurrentWellConditionView> selectList(ThirdCurrentWellConditionView record);

    /**
     * 批量删除
     *
     * @param list 列表
     * @return int
     */
    int deleteByParams(@Param(value = "list") List<ThirdCurrentWellConditionView> list);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdCurrentWellConditionView> list);
}
