package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdDailyAccumulationView;

import java.util.List;

/**
 * 第三方井场日累计数据
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Repository(value = "pps.core.prediction.mapper.ThirdDailyAccumulationViewMapper")
public interface ThirdDailyAccumulationViewMapper {
    ThirdDailyAccumulationView selectOne(ThirdDailyAccumulationView record);

    List<ThirdDailyAccumulationView> selectList(ThirdDailyAccumulationView record);

    /**
     * 批量插入
     *
     * @param dtoList dto列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdDailyAccumulationView> dtoList);
}
