package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.cloud.base.service.data.base_power_line.DynamicQueryBasePowerLineOutput;
import xstartup.annotation.XText;

import java.util.List;


/**
 * 线路图
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetBranchingProgramOutput {

    @XText("总线名称")
    private String mainLineName;

    @XText("总线ID")
    private String mainLineId;

    @XText("子线路")
    private List<DynamicQueryBasePowerLineOutput> subLineList;
}
