package pps.core.prediction.service.data.home_page;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 电站组织入参
 *
 * @author ZWT
 * @date 2024/03/25 19:42
 */
@Data
public class GetLineViewInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
