package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 获取功耗趋势输出
 *
 * @author ZWT
 * @date 2024/07/25
 */
@Data
@AllArgsConstructor
public class GetPowerConsumptionTrendOutput {

    @XText("日期")
    private String dateFormat;

    @XText("用电功率(kWh)")
    private BigDecimal powerConsumption;
}