package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 累积用电
 *
 * @author ZWT
 * @date 2024/03/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSumPowerConsumptionOutput {

    @XText("井组列表")
    List<GetStationPowerConsumption> stationList;
    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;
}
