package pps.core.prediction.service.data.photovoltaic_electricity_consumption;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 查询光伏用电量输入
 *
 * @author ZWT
 * @date 2023/09/28
 */
@Data
public class QueryPhotovoltaicElectricityConsumptionOutput {

    @XText("机构名称")
    private String ouName;

    @XText("总电量")
    private BigDecimal totalElectricity;

    @XText("市电")
    private BigDecimal cityElectricity;

    @XText("市电环比")
    private BigDecimal cityElectricityScale;

    @XText("绿电")
    private BigDecimal greenElectricity;

    @XText("绿电环比")
    private BigDecimal greenElectricityScale;
}
