package pps.core.prediction.service.data.predicted_api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 预测接口响应
 *
 * @author ZWT
 * @date 2024/04/29 16:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PredictedApiOutput {

    @XText("电站名称")
    private String stationName;

    @XText("预测结果")
    private List<PredictedApiPredictOutput> predictList;
}
