package pps.core.prediction.service.data.predicted_api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 预测接口响应
 *
 * @author ZWT
 * @date 2024/04/29 16:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PredictedApiPredictOutput {

    @XText("日期")
    private String dataDate;

    @XText("预测功率")
    private BigDecimal predictPower;
}
