package pps.core.prediction.service.data.third_photovoltaic_power;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 能耗分析
 *
 * @author ZWT
 * @date 2024/03/20
 */
@Data
public class GetThirdPhotovoltaicPowerOutput {
    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("消纳率(%)")
    private BigDecimal absorptionRate;
}
