package pps.core.prediction.service.data.wellhead_daily_production_situation;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
public class GetWellheadDailyProductionSituationInput {

    @XText("电站名称")
    @NotBlank(message = "缺少电站名称")
    private String stationName;

    @XText("井号")
    @NotBlank(message = "缺少井号")
    private String wellNumber;
}