package pps.core.prediction.service.data.wellhead_daily_production_situation;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 井口生产情况表(测试用)
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
public class GetWellheadDailyProductionSituationOutput {

    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("开始时间")
    @JSONField(name = "cycledates")
    private Date startTime;

    @XText("结束时间")
    @JSONField(name = "cycledatee")
    private Date endTime;

    @XText("执行状态:停井/开井")
    @JSONField(name = "status")
    private String status;

    @XText("创建日期")
    @JSONField(name = "createdate")
    private Date createdTime;
}
