package pps.core.prediction.service.data.wellhead_daily_production_situation;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 井口生产情况表(测试用)
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
public class QueryWellheadDailyProductionSituationInput extends XPageInput {

    @XText("井口ID")
    @NotBlank(message = "缺少井口ID")
    private String wellheadId;

    @XText("井号")
    @NotBlank(message = "缺少井号")
    private String wellNumber;

    @XText("周期")
    private String executionCycle;
}