package pps.core.auth;

/**
 * Bearer Token 认证
 *
 * @author ZWT
 * @date 2023/01/09
 */
public class BearerAuth implements Auth {

    private String token;

    public BearerAuth(String token) {
        this.token = token;
    }

    @Override
    public String getAuth() {
        return "Bearer " + this.token;
    }
}