package pps.core.common.utils;

import java.math.BigDecimal;

/**
 * 到大小数函数
 *
 * @author ZWT
 * @date 2024/06/03
 */
@FunctionalInterface
public interface ToBigDecimalFunction<T> {
    /**
     * 应用为大小数
     *
     * @param value 价值
     * @return {@link BigDecimal }
     */
    BigDecimal applyAsBigDecimal(T value);
}