package pps.cloud.system.service.data.sys_area;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 查询系统区域输出
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QuerySysAreaInput {

    /**
     * 省份列表
     */
    private List<String> provinceList;
}
