package pps.cloud.system.service.data.sys_dictionary;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 获取sys字典视图输入
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSysDictionaryViewInput {

    @XText("父级ID")
    private String pid;

    @XText("父级编码")
    private String alias;
}
