package pps.cloud.system.service.data.sys_dictionary;

import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.util.ArrayList;
import java.util.Date;

public class QuerySysDictionaryViewOutput extends XPageInput {
    @XText("主键")
    private String id;

    @XText("父级ID")
    private String pid;

    @XText("名称")
    private String dicName;

    @XText("缩写")
    private String shortName;

    @XText("备注")
    private String remark;

    @XText("排序")
    private Integer sort;

    @XText("层级")
    private Integer levels;

    @XText("是否默认值")
    private Integer beDefault;

    @XText("是否含有下级")
    private Integer beHasChildren;

    @XText("0为系统字典，1应用字典")
    private Integer dicType;

    @XText("生效时间")
    private Date effectTime;

    @XText("失效时间")
    private Date endTime;

    @XText("创建人名称")
    private String createName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人名称")
    private String modifyName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("父级编码")
    private String alias;

    @XText("字典编码")
    private String dicKey;

    @XText("字典路径")
    private String dicPath;

    @XText("前端标记是否有下级节点")
    private boolean _loading = false;

    @XText("前端子节点列表")
    private ArrayList children = new ArrayList<>();

    @XText("单位名称")
    private String ouName;

    @XText("是否应用至下级")
    private Integer useLowerLevel;

    @XText("页面使用唯一序号")
    private Integer orderId;

    @XText("对应sys_organization表主键")
    private String ouId;

    @XText("字典父id")
    private String parentDicCode;

    @XText("字典id")
    private String dicCode;

    public String getParentDicCode() {
        return parentDicCode;
    }

    public void setParentDicCode(String parentDicCode) {
        this.parentDicCode = parentDicCode;
    }

    public String getDicCode() {
        return dicCode;
    }

    public void setDicCode(String dicCode) {
        this.dicCode = dicCode;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public Integer getUseLowerLevel() {
        return useLowerLevel;
    }

    public void setUseLowerLevel(Integer useLowerLevel) {
        this.useLowerLevel = useLowerLevel;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getDicPath() {
        return dicPath;
    }

    public void setDicPath(String dicPath) {
        this.dicPath = dicPath;
    }

    public boolean is_loading() {
        return _loading;
    }

    public void set_loading(boolean _loading) {
        this._loading = _loading;
    }

    public ArrayList getChildren() {
        return children;
    }

    public void setChildren(ArrayList children) {
        this.children = children;
    }

    public String getDicKey() {
        return dicKey;
    }

    public void setDicKey(String dicKey) {
        this.dicKey = dicKey;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getDicName() {
        return this.dicName;
    }

    public void setDicName(String value) {
        this.dicName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getLevels() {
        return this.levels;
    }

    public void setLevels(Integer value) {
        this.levels = value;
    }

    public Integer getBeDefault() {
        return this.beDefault;
    }

    public void setBeDefault(Integer value) {
        this.beDefault = value;
    }

    public Integer getBeHasChildren() {
        return this.beHasChildren;
    }

    public void setBeHasChildren(Integer value) {
        this.beHasChildren = value;
    }

    public Integer getDicType() {
        return this.dicType;
    }

    public void setDicType(Integer value) {
        this.dicType = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateName() {
        return this.createName;
    }

    public void setCreateName(String value) {
        this.createName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyName() {
        return this.modifyName;
    }

    public void setModifyName(String value) {
        this.modifyName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
