package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

public class SysAuthOuScopeView implements Serializable {
    @XText("范围授权id(主键)")
    @TableField
    private String id;

    @XText("被许可组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("用户id")
    @TableField
    private String userId;

    @XText("用户组id")
    @TableField
    private String userGroupId;

    @XText("菜单ID")
    @TableField
    private String menuId;

    @XText("菜单名称")
    private String menuName;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;
    @XText("修改时间")
    @Transient
    private Date endTime;
    @XText("介质类型")
    @Transient
    private String mediaType;

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public String getUserGroupId() {
        return this.userGroupId;
    }

    public void setUserGroupId(String value) {
        this.userGroupId = value;
    }

    public String getMenuId() {
        return this.menuId;
    }

    public void setMenuId(String value) {
        this.menuId = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }
}
