package pps.core.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysRoleExtendView;
import pps.core.system.entity.SysRoleView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysRoleViewMapper")
public interface SysRoleViewMapper {

    SysRoleView selectOne(SysRoleView record);

    List<SysRoleView> selectList(SysRoleView record);

    List<SysRoleView> selectSysRoleList(SysRoleView record);

    List<SysRoleView> selectSysRoleListByOuId(SysRoleView record);

    List<SysRoleView> selectExtendsSysRoleListByOuIds(SysRoleView record);

    int batchUpdateSysRoleSetBpsRoleId(List<SysRoleView> list);

    List<SysRoleExtendView> selectUserWithRoleIds(SysRoleExtendView record);

    List<SysRoleExtendView> getRoleListNotInRoleIds(SysRoleExtendView record);

    List<SysRoleExtendView> getRoleListInRoleIds(SysRoleExtendView record);

    List<SysRoleExtendView> getRoleListUserId(@Param("userId") String userId);

}
