package pps.core.system.mapper;

import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysUserWithUserGroupRelView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysUserWithUserGroupRelViewMapper")
public interface SysUserWithUserGroupRelViewMapper {
    SysUserWithUserGroupRelView selectOne(SysUserWithUserGroupRelView record);

    List<SysUserWithUserGroupRelView> selectList(SysUserWithUserGroupRelView record);

    List<SysUserWithUserGroupRelView> selectListWithGroup(SysUserWithUserGroupRelView record);

    void batchInsert(List<SysUserWithUserGroupRelView> viewList);

    List<SysUserWithUserGroupRelView> selectListByUserId(SysUserWithUserGroupRelView record);

    List<SysUserWithUserGroupRelView> selectListByUserGroupId(SysUserWithUserGroupRelView record);

    List<SysUserWithUserGroupRelView> selectListWithGroupIds(SysUserWithUserGroupRelView record);
}
