package pps.core.system.service.data.sys_dictionary;

import xstartup.annotation.XText;

import java.util.Date;

public class DeleteSysDictionaryInput {
    @XText("主键")
    private String id;

    @XText("父级ID")
    private String parentSysDictionaryId;

    @XText("字典编码、全局唯一")
    private String code;

    @XText("名称")
    private String dicName;

    @XText("缩写")
    private String shortName;

    @XText("备注")
    private String remark;

    @XText("排序")
    private Integer sort;

    @XText("层级")
    private Integer levels;

    @XText("是否默认值")
    private Integer beDefault;

    @XText("是否含有下级")
    private Integer beHasChildren;

    @XText("0为系统字典，1应用字典")
    private Integer dicType;

    @XText("生效时间")
    private Date effectTime;

    @XText("失效时间")
    private Date endTime;

    @XText("创建人名称")
    private String createName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人名称")
    private String modifyName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("父级编码")
    private String parentSysDictionaryCode;

    @XText("字典编码")
    private String dicKey;

    public String getDicKey() {
        return dicKey;
    }

    public void setDicKey(String dicKey) {
        this.dicKey = dicKey;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getParentSysDictionaryId() {
        return this.parentSysDictionaryId;
    }

    public void setParentSysDictionaryId(String value) {
        this.parentSysDictionaryId = value;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String value) {
        this.code = value;
    }

    public String getDicName() {
        return this.dicName;
    }

    public void setDicName(String value) {
        this.dicName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getLevels() {
        return this.levels;
    }

    public void setLevels(Integer value) {
        this.levels = value;
    }

    public Integer getBeDefault() {
        return this.beDefault;
    }

    public void setBeDefault(Integer value) {
        this.beDefault = value;
    }

    public Integer getBeHasChildren() {
        return this.beHasChildren;
    }

    public void setBeHasChildren(Integer value) {
        this.beHasChildren = value;
    }

    public Integer getDicType() {
        return this.dicType;
    }

    public void setDicType(Integer value) {
        this.dicType = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateName() {
        return this.createName;
    }

    public void setCreateName(String value) {
        this.createName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyName() {
        return this.modifyName;
    }

    public void setModifyName(String value) {
        this.modifyName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getParentSysDictionaryCode() {
        return this.parentSysDictionaryCode;
    }

    public void setParentSysDictionaryCode(String value) {
        this.parentSysDictionaryCode = value;
    }

}
