package pps.core.system.service.data.sys_login;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 模拟登录
 *
 * @author ZWT
 * @date 2024/05/08
 */
@Data
public class LoginBySimulateInput {

    @XText("认证key")
    @NotBlank(message = "缺少认证key")
    private String authKey;
}
