package pps.cloud.base.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 第三方风力发电数据
 *
 * @author ZWT
 * @date 2024/09/03 16:30
 */
@XService
@XText("第三方风力发电数据Cloud模块")
public interface IThirdWindPowerGenerationCloudService {

    /**
     * 第三方风力发电数据Cloud模块--第三方风力发电数据定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult }
     */
    @XText("第三方风力发电数据Cloud模块--第三方风力发电数据定时任务")
    XServiceResult thirdWindPowerGenerationJob(XContext context);
}
