package pps.cloud.base.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 风资源训练集数据Cloud模块
 *
 * @author ZWT
 * @date 2024/08/30 14:03
 */
@XService
@XText("风资源训练集数据Cloud模块")
public interface IWindPredictionHistoryCloudService {

    /**
     * 风资源训练集数据Cloud模块--风资源训练集定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult }
     */
    @XText("风资源训练集数据Cloud模块--风资源训练集定时任务")
    XServiceResult windPredictionHistoryJob(XContext context);
}
