package pps.cloud.base.service.data.base_price_strategy_detail;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 策略配置详情
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetBasePriceStrategyDetailInput {

    @XText("市电峰谷月")
    private String strategyMonth;

    @XText("开始时间")
    private String lineId;

    @XText("时段类型key(字典获取)")
    private String periodTypeKey;
}
