package pps.cloud.base.service.data.base_price_strategy_detail;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 策略配置详情
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyDetailOutput {

    @XText("市电峰谷配置ID")
    private String strategyId;

    @XText("市电峰谷月")
    private String strategyMonth;

    @XText("时段类型key(字典获取)")
    private String periodTypeKey;

    @XText("开始时间")
    private String startTime;

    @XText("结束时间")
    private String endTime;

    @XText("开始时间")
    private Date openTime;

    @XText("结束时间")
    private Date closeTime;
}
