package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseEnergyStorageDeviceView;

import java.util.List;

/**
 * 储能设备
 *
 * @author ZWT
 * @date 2024/05/11
 */
@Repository(value = "pps.core.base.mapper.BaseEnergyStorageDeviceViewMapper")
public interface BaseEnergyStorageDeviceViewMapper {
    BaseEnergyStorageDeviceView selectOne(BaseEnergyStorageDeviceView record);

    List<BaseEnergyStorageDeviceView> selectList(BaseEnergyStorageDeviceView record);

    /**
     * 批插入列表
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BaseEnergyStorageDeviceView> list);
}
