package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePriceStrategyMonthView;

import java.util.List;

/**
 * 市电峰谷月配置
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Repository(value = "pps.core.base.mapper.BasePriceStrategyMonthViewMapper")
public interface BasePriceStrategyMonthViewMapper {
    BasePriceStrategyMonthView selectOne(BasePriceStrategyMonthView record);

    List<BasePriceStrategyMonthView> selectList(BasePriceStrategyMonthView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePriceStrategyMonthView> list);
}
