package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseWellheadView;

import java.util.List;

/**
 * 基础井口
 *
 * @author ZWT
 * @date 2024/05/11
 */
@Repository(value = "pps.core.base.mapper.BaseWellheadViewMapper")
public interface BaseWellheadViewMapper {
    BaseWellheadView selectOne(BaseWellheadView record);

    List<BaseWellheadView> selectList(BaseWellheadView record);

    /**
     * 批插入列表
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BaseWellheadView> list);
}
