package pps.core.base.mapper;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository(value = "pps.core.base.mapper")
public interface CommonDataMapper {
    @Select("${sql}")
    List<Map<String, Object>> getData(@Param("sql") String sql, @Param("param") Map param);

    @Update("${sql}")
    Integer update(@Param("sql") String sql, @Param("param") Map param);

    @Insert("${sql}")
    Integer insert(@Param("sql") String sql, @Param("param") Map param);
}
