package pps.core.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class GetSysOrganizationAndPlantInput {
    @XText("主键")
    private String id;

    @XText("组织机构表id")
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("上级组织机构表id")
    private String parentOuId;

    @XText("层级")
    private Integer levels;
    @XText("级别")
    private String ouLevel;

    @XText("组织机构ID路径")
    private String ouIdPath;

    @XText("是否包含子ou：0->否；1->是；")
    private Integer isHasChildren;

    @XText("生效时间")
    private Date effectTime;

    @XText("结束时间")
    private Date endTime;

    @XText("序号")
    private Integer sort;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;
}
