package pps.core.base.service.data.base_photovoltaic_plant;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/10/10
 */
@Data
public class InitBasePhotovoltaicPlantInput {

    @ExcelProperty("所属机构")
    private String ouName;
    @ExcelProperty("光伏电站名称")
    private String stationName;
    @ExcelProperty("安装倾角")
    private BigDecimal mountingAngle;
    @ExcelProperty("装机总量")
    private BigDecimal totalPower;
    @ExcelProperty("阵列朝向")
    private BigDecimal arrayOrientation;
    @ExcelProperty("经度")
    private BigDecimal longitude;
    @ExcelProperty("纬度")
    private BigDecimal latitude;
    @ExcelProperty("高程")
    private BigDecimal elevation;
    @ExcelProperty("所在地区")
    private String areaName;
}
