package pps.core.base.service.data.base_photovoltaic_plant_mape_adj;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

public class GetBasePhotovoltaicPlantMapeAdjInput {

    @XText("光伏电站id")
    @NotBlank
    private String plantId;

    @XText("预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4 15天光伏功率预测 5 1天光伏功率预测）")
    @NotNull
    private Integer mapeType;

    public String getPlantId() {
        return plantId;
    }

    public void setPlantId(String plantId) {
        this.plantId = plantId;
    }

    public Integer getMapeType() {
        return mapeType;
    }

    public void setMapeType(Integer mapeType) {
        this.mapeType = mapeType;
    }
}
