package pps.core.base.service.data.base_power_line_wellhead;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class DynamicQueryBasePowerLineWellheadViewOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("启动顺序")
    private Integer startSeq;

    /**
     * 井号
     */
    @XText("井号")
    @TableField
    private String wellNumber;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    /**
     * 运行类型值
     */
    @XText("运行类型值")
    private String runTypeValue;

    /**
     * 运行功率(KW)
     */
    @XText("运行功率(KW)")
    private BigDecimal serviceRating;
}
