package pps.core.base.service.data.base_price_strategy;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 市电峰谷策略
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class DynamicQueryBasePriceStrategyInput {

    @XText("ID")
    private String id;

    @XText("策略名称")
    private String policyName;

    @XText("适用地区编码")
    private Integer areaCode;

    @XText("年份")
    private String strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    private Integer isFixedPrice;
}
