package pps.core.base.service.data.base_price_strategy;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 市电峰谷策略
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class QueryBasePriceStrategyViewOutput {
    @XText("ID")
    private String id;

    @XText("策略名称")
    private String policyName;

    @XText("适用地区编码")
    private Integer areaCode;

    @XText("年份")
    private String strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    private Integer isFixedPrice;

    @XText("固定电价")
    private BigDecimal fixedElectricityPrice;

    /*-----------------------------扩展字段-----------------------------*/

    @XText("是否固定电价")
    private String isFixedPriceValue;

    @XText("适用地区名")
    private String areaName;
}
