package pps.core.base.service.data.base_price_strategy_detail;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 明细
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyDetailOutput {

    @XText("市电峰谷月")
    private String strategyMonth;

    @XText("时段类型key(字典获取)")
    private String periodTypeKey;

    @XText("开始时间")
    private String startTime;

    @XText("结束时间")
    private String endTime;

    @XText("电价")
    private BigDecimal electrovalence;

    @XText("内部结算价")
    private BigDecimal internalSettlementPrice;

    /**
     * 时段类型值
     */
    @XText("时段类型值")
    private String periodTypeValue;
}
