package pps.core.base.service.data.base_wellhead;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 井口配置
 *
 * @author ZWT
 * @date 2023/10/20
 */
@Data
public class InitBaseWellheadInput {

    @ExcelProperty("所属机构")
    private String ouName;

    @ExcelProperty("井号")
    private String wellNumber;

    @ExcelProperty("运行类型")
    private String runTypeName;

    @ExcelProperty("运行功率")
    private BigDecimal serviceRating;
}
