package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;


/**
 * 历史风向
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetHistoricalWindDirectionOutput {

    @XText("北")
    private BigDecimal north = BigDecimal.ZERO;

    @XText("东北")
    private BigDecimal northeast = BigDecimal.ZERO;

    @XText("东")
    private BigDecimal east = BigDecimal.ZERO;

    @XText("东南")
    private BigDecimal southeast = BigDecimal.ZERO;

    @XText("南")
    private BigDecimal south = BigDecimal.ZERO;

    @XText("西南")
    private BigDecimal southwest = BigDecimal.ZERO;

    @XText("西")
    private BigDecimal west = BigDecimal.ZERO;

    @XText("西北")
    private BigDecimal northwest = BigDecimal.ZERO;
}
