package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 历史风速
 *
 * @author ZWT
 * @date 2024/09/03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetHistoricalWindSpeedOutput {

    @XText("时间值(天/月)")
    private int dateFlag;

    @XText("风速(m/s)")
    private BigDecimal windSpeed;
}
