package pps.core.base.service.data.third_weather_data;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 第三方天气入参
 *
 * @author ZWT
 * @date 2024/05/21 11:21
 */
@Data
public class GetThirdWeatherDataInput {

    /**
     * 组织机构ID
     */
    @NotBlank(message = "缺少组织机构ID")
    @XText("组织机构ID")
    private String ouId;
}
