package pps.core.base.service.data.third_weather_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 删除条件
 *
 * @author ZWT
 * @date 2024/04/23 10:53
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WeatherDeleteCondition {

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;

    @XText("开始时间")
    private Date beginTime;

    @XText("结束时间")
    private Date endTime;
}
