package pps.core.base.service.data.wind_prediction_future;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 风预测
 *
 * @author ZWT
 * @date 2024/08/29
 */
@Data
public class GetWindPredictionFutureOutput {

    @XText("记录时间")
    private Date dataTime;

    @XText("实际功率(kw)")
    private BigDecimal actualPower;

    @XText("预测功率(kw)")
    private BigDecimal predictedPower;

    @XText("实际风速(m/s)")
    private BigDecimal actualWindSpeed;

    @XText("预报风速(m/s)")
    private BigDecimal windSpeed;
}
