package pps.cloud.space.service.data.line_daily_electricity_trend;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 谷电占比
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
public class GetValleyElectricRateOutput {

    /**
     * 日期标识(1_今日,2_昨日,3_同期)
     */
    @XText("日期标识(1_今日,2_昨日,3_同期)")
    private Integer dayFlag;

    /**
     * 谷电占比(%)
     */
    @XText("谷电占比(%)")
    private BigDecimal valleyElectricRate;
}
