package pps.cloud.space.service.data.space_optimize_short_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 月度优化井口统计
 *
 * @author ZWT
 * @date 2024/05/27 14:24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetMonthlyWellCountInput {

    @XText("月份")
    private Integer month;
}
