package pps.cloud.space.service.data.space_optimize_short_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.List;


/**
 * 获得空间优化短井口产量
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
public class GetSpaceOptimizeShortWellheadOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    /**
     * 井口配置(已优化)
     */
    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;
}
