package pps.cloud.space.service.data.space_optimize_short_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;


/**
 * 空间优化日期持续时间
 *
 * @author ZWT
 * @date 2024/07/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeDateDuration {

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;

    @XText("井口状态:0_关井,1_开井")
    private Integer isOpen;
}
