package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 极短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class SpaceOptimizeShortPeriodView extends BaseModel implements Serializable {

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("优化状态(0_已优化;1_未优化)")
    @TableField
    private Integer optimizeState;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;

    /**
     * 组织机构ID
     */
    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 电网类型key(字典获取)
     */
    @XText("电网类型key(字典获取)")
    @TableField
    private String gridTypeKey;

    /**
     * 制度名称
     */
    @XText("制度名称")
    @TableField
    private String institutionName;
}
