package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceInstitutionDetailView;

import java.util.List;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Repository(value = "pps.core.space.mapper.SpaceInstitutionDetailViewMapper")
public interface SpaceInstitutionDetailViewMapper {
    SpaceInstitutionDetailView selectOne(SpaceInstitutionDetailView record);

    List<SpaceInstitutionDetailView> selectList(SpaceInstitutionDetailView record);

    /**
     * 查询优化历史记录列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceInstitutionDetailView}>
     */
    List<SpaceInstitutionDetailView> selectOptimizeHistoryList(SpaceInstitutionDetailView record);
}
