package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeShortPeriodView;

import java.util.List;

/**
 * 极短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeShortPeriodViewMapper")
public interface SpaceOptimizeShortPeriodViewMapper {
    SpaceOptimizeShortPeriodView selectOne(SpaceOptimizeShortPeriodView record);

    /**
     * 极短期间开开优化周期记录列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeShortPeriodView}>
     */
    List<SpaceOptimizeShortPeriodView> selectList(SpaceOptimizeShortPeriodView record);
}
