package pps.core.space.service.data;

import cn.hutool.core.date.DateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 间开防冻土
 *
 * @author ZWT
 * @date 2024/04/26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class SpaceOptimizeTundraStrategy {

    /**
     * 时间戳
     */
    private DateTime timestamp;

    /**
     * 是否使用
     */
    private Boolean beUsing;
}
