package pps.core.space.service.data.space_calibration_history;

import lombok.Data;
import pps.core.space.service.data.space_institution_wellhead.QuerySpaceInstitutionWellheadOutput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 校准历史
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class QuerySpaceCalibrationHistoryOutput {

    @XText("线路ID")
    private String lineId;

    @XText("间开制度ID")
    private String institutionId;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    /**
     * 间开制度井口配置
     */
    @XText("间开制度井口配置")
    private List<QuerySpaceInstitutionWellheadOutput> wellheadList;
}
