package pps.core.space.service.data.space_calibration_history;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 执行历史
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class QuerySpaceCalibrationHistoryViewOutput {
    @XText("ID")
    private String id;

    @XText("线路ID")
    private String lineId;

    @XText("间开制度ID")
    private String institutionId;

    @XText("执行周期")
    private String executionCycle;

    @XText("校准日期")
    private Date calibrationDate;

    /**
     * 组织机构ID
     */
    @XText("组织机构ID")
    private String ouId;

    /**
     * 电网类型key(字典获取)
     */
    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    /**
     * 制度名称
     */
    @XText("制度名称")
    private String institutionName;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    /**
     * 组织机构名称
     */
    @XText("组织机构名称")
    private String ouName;

    /**
     * 电网类型名称
     */
    @XText("电网类型名称")
    private String gridTypeName;
}
