package pps.core.space.service.data.space_calibration_period;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 定期校准
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class GetSpaceCalibrationPeriodViewInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
