package pps.core.space.service.data.space_calibration_period;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 定期校准
 *
 * @author ZWT
 * @date 2023/09/06
 */
@Data
public class GetSpaceCalibrationPeriodViewOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("天数")
    private String dayNumber;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    /**
     * 组织机构名称
     */
    @XText("组织机构名称")
    private String ouName;
}
