package pps.core.space.service.data.space_institution_detail;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 间开优化历史
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
public class QueryOptimizeHistoryViewInput extends XPageInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;
}
