package pps.core.space.service.data.space_institution_duration;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 间开制度小间开时段配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class CreateSpaceInstitutionDurationInput {

    @XText("开井时间")
    @NotBlank(message = "缺少开井时间")
    private String openWellTime;

    @XText("关井时间")
    @NotBlank(message = "缺少关井时间")
    private String closeWellTime;
}
