package pps.core.space.service.data.space_optimize_period;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 功率预测
 *
 * @author ZWT
 * @date 2024/06/03 09:51
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPredictedPowerOutput {

    @XText("时")
    private String hourTime;

    @XText("预测功率")
    private BigDecimal power;
}
