package pps.core.space.service.data.space_optimize_period;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 间开优化周期记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
public class GetSpaceOptimizePeriodInput {

    @XText("ID")
    @NotBlank(message = "缺少ID")
    private String id;

    @XText("优化日期")
    private Date optimizeDate;
}
