package pps.core.space.service.data.space_optimize_short_duration;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 井口时段配置
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
public class GetSpaceOptimizeShortDurationOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    private String generationTypeKey;

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;
}
