package pps.core.space.service.data.space_optimize_short_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.space.service.data.SpaceOptimizeDateDuration;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 极短期间开优化井口记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class QuerySpaceOptimizeShortWellheadOutput {

    @XText("井号")
    private String wellNumber;

    /**
     * 井口配置(已优化)
     */
    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;
}
