package pps.core.space.service.data.space_optimize_ultra_duration;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 长期间开优化井口制度记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
public class GetSpaceOptimizeUltraDurationViewOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("井口记录ID")
    private String recordId;

    @XText("长期优化周期ID")
    private String ultraPeriodId;

    @XText("井口ID")
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    private String generationTypeKey;

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;
}
