package pps.cloud.prediction.service.data.third_daily_accumulation_update;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 第三方井场日累计数据
 *
 * @author ZWT
 * @date 2024/05/23 16:25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdDailyAccumulationUpdateInput {

    @XText("创建时间")
    private Date createDate;

    @XText("来源系统")
    private String systemSource;
}
