package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("plant_predicted_power_short_term")
public class PlantPredictedPowerShortTermEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("线路id")
    @TableField
    private String plantId;

    @XText("日期")
    @TableField
    private String dataDate;

    @XText("实际功率")
    @TableField
    private BigDecimal power;

    @XText("预测功率")
    @TableField
    private BigDecimal predictPower;

    @XText("创建时间")
    @TableField
    private Date createTime;

}
