package pps.core.prediction.mapper;

import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.StoragePredictedPowerDataView;

import java.util.List;

/**
 * 储能预测电量数据(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Repository(value = "pps.core.prediction.mapper.StoragePredictedPowerDataViewMapper")
public interface StoragePredictedPowerDataViewMapper {
    StoragePredictedPowerDataView selectOne(StoragePredictedPowerDataView record);

    List<StoragePredictedPowerDataView> selectList(StoragePredictedPowerDataView record);
}
