package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdPhotovoltaicPowerView;

import java.util.List;

/**
 * 第三方光伏日发电量
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Repository(value = "pps.core.prediction.mapper.ThirdPhotovoltaicPowerViewMapper")
public interface ThirdPhotovoltaicPowerViewMapper {
    ThirdPhotovoltaicPowerView selectOne(ThirdPhotovoltaicPowerView record);

    List<ThirdPhotovoltaicPowerView> selectList(ThirdPhotovoltaicPowerView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdPhotovoltaicPowerView> list);
}
