package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 总览数据
 *
 * @author ZWT
 * @date 2024/03/25 20:19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetOverviewViewOutput {

    @XText("井口数量")
    private Integer wellNumber;

    @XText("电站数量")
    private Integer stationNumber;

    @XText("线路数量")
    private Integer lineNumber;

    @XText("井场额定功率")
    private BigDecimal operatingLoad;

    @XText("光伏装机总量")
    private BigDecimal photovoltaicPower;

    @XText("储能装机总量")
    private BigDecimal storagePower;
}
