package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;


/**
 * 用能曲线
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerAnalyseTrendOutput {

    @XText("发电功率趋势")
    private List<GetPowerGenerationTrendOutput> generationList;

    @XText("用电功率趋势")
    private List<GetPowerConsumptionTrendOutput> consumptionList;
}
