package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井组发电量
 *
 * @author ZWT
 * @date 2024/03/26 11:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetStationPowerConsumption {

    @XText("井组名称")
    String stationName;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;
}
