package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 电站组织视图
 *
 * @author ZWT
 * @date 2024/03/25 19:40
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetStationViewOutput {

    @XText("站ID")
    private String stationId;

    @XText("站名称")
    private String stationName;

    @XText("经度(°)")
    private BigDecimal longitude;

    @XText("纬度(°)")
    private BigDecimal latitude;
}
