package pps.core.prediction.service.data.plant_predicted_power_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光伏预测
 *
 * @author ZWT
 * @date 2024/06/06 15:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPredictedPowerOutput {
    @XText("日期")
    private Date dataDate;

    @XText("实际功率")
    private BigDecimal power;

    @XText("预测功率")
    private BigDecimal predictPower;
}
