package pps.core.prediction.service.data.third_active_power;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 三叠登录信息
 *
 * @author ZWT
 * @date 2024/03/19 17:57
 */
@NoArgsConstructor
@Data
public class GetThirdSanDieLoginInfoOutput {
    /**
     * 认证Token
     */
    private String accessToken;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 组织名称
     */
    private String orgName;
    /**
     * 组织编码
     */
    private String orgCode;
    /**
     * 别名
     */
    private String nickname;
    /**
     * 过期时间
     */
    private Long expiresTime;
    /**
     * refreshToken
     */
    private String refreshToken;
}
