package pps.core.prediction.service.data.third_active_power;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方有功功率导入
 *
 * @author ZWT
 * @date 2024/05/08 15:41
 */
@Data
@ExcelIgnoreUnannotated
public class ThirdActivePowerExcelData {

    @ExcelProperty(value = "STATIONNAME")
    private String stationName;

    @ExcelProperty(value = "TS")
    private Date createDate;

    @ExcelProperty(value = "NBQ1_P")
    private BigDecimal photovoltaicPower;

    @ExcelProperty(value = "PJ_P")
    private BigDecimal meterPower;
}
