package pps.core.prediction.service.data.third_active_power_daily_update;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方有功功率(每日最新数据)
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class GetThirdActivePowerDailyUpdateOutput {

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("光伏有功功率(KW)")
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    private BigDecimal meterPower;

    @XText("小时")
    private Date saveHour;
}
