package pps.core.prediction.service.data.third_current_well_condition;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class QueryThirdCurrentWellConditionInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;
}
